Subject: [nfsv4] NFS v4 cache delegation activation

From: Nicolas Fabrice <[email-masked]>
Date: Fri, 20 Apr 2007 09:54:32 +0000 (GMT)

Hi,

My name is Nicolas.
I'm testing NFS v4 on a Debian
2.6.18-3-amd64 etch in order to share datafiles between database
servers ditributed on 3 physical computers. And I don't understand the
way the NFS v4 cache delegation mechanism works.
I hope it is the good place to post my questions, if not, please let me know.

-----------

The platform I work on can be described as follow:
      ___________
     | Disk/Data |
     |___________|
     _____|______        _____|_____       _____|____
    |  Server1   |      | Server2   |     | Server3 
 |
    |Read/Write  |      | Read      |     | Read     |
    |____________|      |___________|     |__________|
          |___________________|_________________| |
                                                  |
                                                 
 |
                                                  __
                                                 |__|
                                                /__/  Client

I would like to access data stored on Server 1 from Server 2 via NFS
 v4.
I
expect to benefit from NFS v4 cache delegation mechanism in order to
progressively access to data in local NFS cache (and then minimize the
number of network accesses).

I installed NFS v4 Server on Server 1 and NFS v4 client on Server 2 and Server3.
But the performance measurements I done show that Database Server requests duration doesn't decrease after repeating them.
My conclusion is : it works exactly like if there were no cache mechanism activated.

My questions are :
- Is the cache delegation mechanism activated by default on NFS v4 (I can't find any configuration parameter on it) ?
- Is there any way to configure the NFS v4 client cache (activation & size) ?
- Is Kerberos mandatory for fully activating NFS v4 cache delegation mechanism ?
- Is the NFS v4 client cache built on the buffer cache of the system ?

Thanks in advance for your answers.

Nicolas ([email-masked]).

___________________________________________________________________________ 
Découvrez une nouvelle façon d'obtenir des réponses à toutes vos questions ! 
Profitez des connaissances, des opinions et des expériences des internautes sur Yahoo! Questions/Réponses 
http://fr.answers.yahoo.com

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4